Package org.opensaml.soap.wssecurity

# Interface AttributedDateTime

All Superinterfaces:
  `AttributeExtensibleXMLObject`, `IdBearing`, `WSSecurityObject`, `XMLObject`, `XSString`

All Known Subinterfaces:
  `Created`, `Expires`

All Known Implementing Classes:
  `AttributedDateTimeImpl`, `CreatedImpl`, `ExpiresImpl`

public interface AttributedDateTime extends XSString, IdBearing, AttributeExtensibleXMLObject, WSSecurityObject
Interface for elements of complex type AttributedDateTime.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`TYPE_LOCAL_NAME`
Local name of the XSI type.
`static final QName`
`TYPE_NAME`
QName of the XSI type.

### Fields inherited from interface org.opensaml.soap.wssecurity.IdBearing

`WSU_ID_ATTR_LOCAL_NAME, WSU_ID_ATTR_NAME`

## Method Summary

Modifier and Type
Method
Description
`Instant`
`getDateTime()`
Returns the Instant content or attribute value.
`void`
`setDateTime(Instant dateTime)`
Sets the Instant content or attribute value.

### Methods inherited from interface org.opensaml.core.xml.AttributeExtensibleXMLObject

`getUnknownAttributes`

### Methods inherited from interface org.opensaml.soap.wssecurity.IdBearing

`getWSUId, setWSUId`

### Methods inherited from interface org.opensaml.core.xml.XMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getOrderedChildren, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, releaseChildrenDOM, releaseDOM, releaseParentDOM, resolveID, resolveIDFromRoot, setDOM, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation`

### Methods inherited from interface org.opensaml.core.xml.schema.XSString

`getValue, setValue`

## Field Details

### TYPE_LOCAL_NAME

@Nonnull @NotEmpty static final String TYPE_LOCAL_NAME
Local name of the XSI type.

See Also:
  - Constant Field Values

### TYPE_NAME

@Nonnull static final QName TYPE_NAME
QName of the XSI type.

## Method Details

### getDateTime

@Nullable Instant getDateTime()
Returns the Instant content or attribute value.

Returns:
  the `Instant` object.

### setDateTime

void setDateTime(@Nullable Instant dateTime)
Sets the Instant content or attribute value.

Parameters:
  `dateTime` - the `Instant` object to set.